# Get an asynchronous transcription

```
GET 
/transcribe-async/:id
```

Poll the status —and results if successful— of an asynchronous transcription.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The asynchronous transcription details.

## Operation spec

```json
{
  "method": "get",
  "path": "/transcribe-async/{id}",
  "operationId": "get-transcribe-async",
  "parameters": [
    {
      "name": "id",
      "description": "The id of the asynchronous request.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "description": "A unique identifier.",
        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
        "title": "uuid"
      },
      "example": "23A9981B-9E46-4ADB-BB0B-8E406C624540"
    }
  ],
  "responses": {
    "200": {
      "description": "The asynchronous transcription details.",
      "content": {
        "application/json": {
          "schema": {
            "oneOf": [
              {
                "title": "ONGOING",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  }
                },
                "required": [
                  "id",
                  "status"
                ]
              },
              {
                "title": "FAILED",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  },
                  "payload": {
                    "type": "object",
                    "properties": {
                      "error_code": {
                        "type": "integer",
                        "example": 422
                      },
                      "error_message": {
                        "type": "string",
                        "example": "We can't generate the note when the transcript is too short."
                      }
                    },
                    "required": [
                      "error_code"
                    ],
                    "title": "async_request_failed_payload"
                  }
                },
                "required": [
                  "id",
                  "status",
                  "payload"
                ]
              },
              {
                "title": "SUCCEEDED",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  },
                  "payload": {
                    "type": "object",
                    "description": "The generated transcript.",
                    "properties": {
                      "transcript": {
                        "type": "array",
                        "description": "Transcript items from the audio file.",
                        "items": {
                          "type": "object",
                          "description": "A portion of the transcribed consultation.",
                          "properties": {
                            "text": {
                              "type": "string",
                              "description": "The transcribed text.",
                              "example": "Also, I’m allergic to peanuts."
                            },
                            "speaker_type": {
                              "type": "string",
                              "enum": [
                                "DOCTOR",
                                "PATIENT",
                                "UNSPECIFIED"
                              ],
                              "description": "Who said the text in this transcript item.",
                              "example": "DOCTOR",
                              "title": "speaker"
                            },
                            "start_offset_ms": {
                              "type": "integer",
                              "description": "Start time of this transcription item as the offset, in milliseconds, from the start of the audio file.",
                              "example": 65100
                            },
                            "end_offset_ms": {
                              "type": "integer",
                              "description": "End time of this transcription item as the offset, in milliseconds, from the start of the audio file. Equals the `start_time_ms` plus the duration of the related transcribed audio portion.",
                              "example": 69300
                            }
                          },
                          "required": [
                            "text",
                            "start_offset_ms",
                            "end_offset_ms"
                          ],
                          "title": "transcript_item"
                        },
                        "title": "transcript"
                      }
                    },
                    "required": [
                      "transcript"
                    ],
                    "title": "async_transcription_succeeded_payload"
                  }
                },
                "required": [
                  "id",
                  "status"
                ]
              }
            ],
            "discriminator": {
              "propertyName": "status",
              "mapping": {
                "ONGOING": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    }
                  },
                  "required": [
                    "id",
                    "status"
                  ],
                  "title": "async_request_ongoing"
                },
                "FAILED": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    },
                    "payload": {
                      "type": "object",
                      "properties": {
                        "error_code": {
                          "type": "integer",
                          "example": 422
                        },
                        "error_message": {
                          "type": "string",
                          "example": "We can't generate the note when the transcript is too short."
                        }
                      },
                      "required": [
                        "error_code"
                      ],
                      "title": "async_request_failed_payload"
                    }
                  },
                  "required": [
                    "id",
                    "status",
                    "payload"
                  ],
                  "title": "async_request_failed"
                },
                "SUCCEEDED": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    },
                    "payload": {
                      "type": "object",
                      "description": "The generated transcript.",
                      "properties": {
                        "transcript": {
                          "type": "array",
                          "description": "Transcript items from the audio file.",
                          "items": {
                            "type": "object",
                            "description": "A portion of the transcribed consultation.",
                            "properties": {
                              "text": {
                                "type": "string",
                                "description": "The transcribed text.",
                                "example": "Also, I’m allergic to peanuts."
                              },
                              "speaker_type": {
                                "type": "string",
                                "enum": [
                                  "DOCTOR",
                                  "PATIENT",
                                  "UNSPECIFIED"
                                ],
                                "description": "Who said the text in this transcript item.",
                                "example": "DOCTOR",
                                "title": "speaker"
                              },
                              "start_offset_ms": {
                                "type": "integer",
                                "description": "Start time of this transcription item as the offset, in milliseconds, from the start of the audio file.",
                                "example": 65100
                              },
                              "end_offset_ms": {
                                "type": "integer",
                                "description": "End time of this transcription item as the offset, in milliseconds, from the start of the audio file. Equals the `start_time_ms` plus the duration of the related transcribed audio portion.",
                                "example": 69300
                              }
                            },
                            "required": [
                              "text",
                              "start_offset_ms",
                              "end_offset_ms"
                            ],
                            "title": "transcript_item"
                          },
                          "title": "transcript"
                        }
                      },
                      "required": [
                        "transcript"
                      ],
                      "title": "async_transcription_succeeded_payload"
                    }
                  },
                  "required": [
                    "id",
                    "status"
                  ],
                  "title": "async_transcription_succeeded"
                }
              }
            },
            "title": "async_transcription"
          }
        }
      }
    }
  }
}
```
